Highlighted

Cannot submit AIR build using Application Loader to itunes connect ERROR ITMS-90125

Community Beginner ,
Mar 15, 2015

Copy link to clipboard

Copied

I'm using IntelliJ and windows 8

I have tried AIR 1.5, 1.6, 1.7.

using -useLegacyAOT=yes

Below is the error when I try to submit my app to Itunes Connect using Application Loader


ERROR ITMS-90125: "The binary is invalid. The encryption info in the LC_ENCRYPTION_INFO load command is either missing or invalid, or the binary is already encrypted. This binary does not seem to have been built with Apple's linker."

http://i.imgur.com/oNJQllN.png

Tried several things I read on forums but there's no reply for this exact error.

What do I need to do? Please help me.

Thank you.

TOPICS
Air beta

Views

5.2K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Cannot submit AIR build using Application Loader to itunes connect ERROR ITMS-90125

Community Beginner ,
Mar 15, 2015

Copy link to clipboard

Copied

I'm using IntelliJ and windows 8

I have tried AIR 1.5, 1.6, 1.7.

using -useLegacyAOT=yes

Below is the error when I try to submit my app to Itunes Connect using Application Loader


ERROR ITMS-90125: "The binary is invalid. The encryption info in the LC_ENCRYPTION_INFO load command is either missing or invalid, or the binary is already encrypted. This binary does not seem to have been built with Apple's linker."

http://i.imgur.com/oNJQllN.png

Tried several things I read on forums but there's no reply for this exact error.

What do I need to do? Please help me.

Thank you.

TOPICS
Air beta

Views

5.2K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Mar 15, 2015 1
New Here ,
Mar 16, 2015

Copy link to clipboard

Copied

I have exactly same error ITMS-90125

I have tried both AIR SDK 16.0.0.272 , 17.0.0.123, 17.0.0.124

Using Flash IDE Deploy but I have submit success 2 weeks before.

I have also tried to deploy a empty .ipa with icon, .p12 and mobileprovision, still get this error.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 16, 2015 0
New Here ,
Mar 16, 2015

Copy link to clipboard

Copied

Have the same problem. One weak ago I have submitted a new App and there where no Problems. Today I have tryed to upload new version and i have got the same error.

Additionaly I have got Error ITM-90208: "Invalid Bundle. The bundle does not support the minimum OS Version specified in the Info.plist". I havent changed anything in the project any configuration, no extra libs, any new ANSs only some graphic content.

I am using Flash Builder 4.7, Air SDK 16.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 16, 2015 0
Community Beginner ,
Mar 17, 2015

Copy link to clipboard

Copied

have the same error... it was my first submission attempt...

please help!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 17, 2015 0
Contributor ,
Mar 18, 2015

Copy link to clipboard

Copied

Same problem here ! Adobe knows the bug ? Will it be corrected ?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 18, 2015 0
Adobe Employee ,
Mar 18, 2015

Copy link to clipboard

Copied

@boragnel

Could you please confirm whether you are facing this issue with either Flash Builder/ Flash Pro?

@Marian Majewski-Sliwa
Could you please share the info.plist file of the packaged IPA?


The steps of extracting the file are as follows:

1. Open Terminal on Mac

2. Run command : unzip <IPAName>.ipa

3. Navigate to the Payload folder

4. Right click on the extracted file & Select View Package Contents

5. Copy the info.plist file from there & send it to us through a private message.

Thanks,

Abhinav

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 18, 2015 0
Community Beginner ,
Mar 18, 2015

Copy link to clipboard

Copied

neither of them. I'm using IntelliJ

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 18, 2015 0
New Here ,
Mar 18, 2015

Copy link to clipboard

Copied

Abhinav Dhandh

Thx for contacting us. I have send you the info.plist content through a private message.

I am looking forward to hear something from you soon

Regards,

Ariano

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 18, 2015 0
Contributor ,
Mar 18, 2015

Copy link to clipboard

Copied

Hi,

I'm using Adobe FLASH Pro CC on windows 8.1 and i've got the same problem.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 18, 2015 0
New Here ,
Mar 19, 2015

Copy link to clipboard

Copied


Oh..help us...please.!!!

we have exactly same error ITMS-90125.

Thank you.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 19, 2015 0
Contributor ,
Mar 19, 2015

Copy link to clipboard

Copied

Nobody to help us or telling us what's going on ????

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 19, 2015 0
Adobe Employee ,
Mar 19, 2015

Copy link to clipboard

Copied

@Marian Majewski-Sliwa

We looked into the info.plist file which you had shared but there appears to be no issue with the same.

If possible, could you please PM the packaged IPA file, all 3 ANEs which you have used in your project to help us investigate the issue further?


Thanks,

Abhinav

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 19, 2015 0
Adobe Community Professional ,
Mar 19, 2015

Copy link to clipboard

Copied

If you search around you'll see that other people are having the same issue, using tools other than AIR. For example, the PhoneGap users are seeing this. Several PhoneGap users found that updating to Xcode 6.2 solved the problem, but I think that it's more about the update of Application Loader to 3.0. If you're using Application Loader on its own, make sure it's 3.0.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 19, 2015 0
Community Beginner ,
Mar 19, 2015

Copy link to clipboard

Copied

We are using 3.0, but still we have the problem.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 19, 2015 1
Community Beginner ,
Mar 21, 2015

Copy link to clipboard

Copied

Same here.

we are using latest air build, application loader 3.0. We are doing our development on windows and intellij.

I've read some people are. Switching to apple's linker rather than linker used by air. But our whole development is in windows. So we are waiting for a solution about this.

@Abhinav Dhandh is there anything we can provide you about this issue?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 21, 2015 0